/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2005-2008. All Rights Reserved.
 * 
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 *******************************************************************************/
dojo.provide("com.ibm.team.repository.web.ui.internal.admin.server.ServerPropertyServiceHeader");

dojo.require("dijit._Widget");
dojo.require("dijit._Templated");
dojo.require("dojo.i18n");

dojo.requireLocalization("com.ibm.team.repository.web.ui.internal.admin.server", "ServerPropertyMessages");


(function() {

dojo.declare("com.ibm.team.repository.web.ui.internal.admin.server.ServerPropertyServiceHeader", [dijit._Widget, dijit._Templated], {

	templatePath: dojo.moduleUrl("com.ibm.team.repository.web", "ui/internal/admin/server/templates/ServerPropertyServiceHeader.html"),
	
	constructor: function() {
		// required for template messages
		this.messages = dojo.i18n.getLocalization("com.ibm.team.repository.web.ui.internal.admin.server", "ServerPropertyMessages");
	},
	
	postCreate: function() {
		com.ibm.team.repository.web.ui.internal.admin.server.ServerPropertyServiceHeader.superclass.postCreate.apply(this);
		if (this.headerClass) {
			for (var i=0; i < this.headerClass.length; i++) {
				dojo.toggleClass(this._serviceHeaderRow, this.headerClass[i], true);
			}
		}
		if (this.customTitle != null) {
			this._serviceHeader.appendChild(document.createTextNode(this.customTitle));
		}
		if (!this._enableToggle) {
			this._editLink.style.display = "none";
			this._viewLink.style.display = "none";
		}
	}

});

})();