/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2008. All Rights Reserved.
 * 
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 *******************************************************************************/
({
	//template

	'wizardPageHeading': "Setup User Registry",
	'pleaseNote': "Please Note:",
	'restrictedOptions': "The user registry options have been restricted based on the installed server license.",  
	'step1Label': "Step 1:",
	'step1Title': "Select the type of user registry you will use",
	'typeLabel': "User Registry Type",
	'descriptionLabel': "Description",
	'tomcatLabel': "Tomcat User Database",
	'tomcatDescription': "This is the simplest configuration option and allows the Jazz Team Server to manage users and groups for you with the Tomcat user database.",
	'ldapLabel': "LDAP",
	'ldapDescription': "If your organization uses LDAP to centrally manage users and groups and you have configured your application server and LDAP server as described in the server setup guide, choose this option and the Jazz Team Server will use your LDAP server for user and group information.",
	'unknownLabel': "Non-LDAP External Registry",
	'unknownDescription': "If you wish to use an external registry other than LDAP, choose this option. Note that if you choose this option you must manually create users in the Jazz Repository to correspond to the users in your external registry.",

	// widget

	'reviewAdminLink': "Review the ${0}License Key Management${1} page of the Admin UI for more information.",
	'seeServerStatus': "View the ${0}Admin Server Status Summary${1} for more information.",
	'userRegistry': "Jazz Team Server relies on a ${0}user registry${1} to provide basic information about users and groups. You may choose one of these options for your user registry:",
	'errorSavingConfig': "An error occurred while saving the configuration properties.  Please check your server log for more details.",
	'errorLoadingUserRegistry': "A problem occurred while loading User Registry settings.",
	'loading': "Loading User Registry settings...",
	'adminNotDisabled': "ADMIN access was not disabled.  You need to be authenticated as a user other than ADMIN to disable ADMIN access.",
	'adminRolesNotDisabled': "The user roles for ADMIN were not removed.  You need to be authenticated as a user other than ADMIN to remove ADMIN roles.  The ADMIN user may have limited access to the Web UI.",
	'clickNext': "  Click 'Next' to continue.",
	'selectClientLicense': "Select the appropriate Client Access License(s) to be assigned to your user.",
	'noClientLicenses': "There are no Client Access Licenses installed on the server.",
	'seeDBConfig': "Complete the ${0}Configure Database${1} page to adjust the database settings. ",
	'errorFetchingLicense': "A problem occurred while fetching license information from the repository.",
	'noLicensesEnabled': "License assignment is not enabled at this time because there are no licenses available.",
	'disableAdmin': "The default ADMIN user is defined in Jazz to allow you to log into a new server, configure the server, and create an initial JazzAdmins user.  For enhanced server security we recommend that you disable default ADMIN access at this time.",
	'changeAdminPasword': "If you do not disable ADMIN access, you should at least change the default ADMIN password after completing the Jazz Team Server Setup.", 
	'importUserLabel': "Importing Your New User from LDAP",
	'importUserDescription': "Completing the LDAP configuration step above will enable the Jazz Team Server Setup to automatically import your initial user.  Your application server and LDAP server should be configured before you complete this step, and you should be logged into this Setup application as a member of the JazzAdmins role from your LDAP.  When you complete this page and click on the 'Next' button, your user will be imported into the repository.  Any Client Access Licenses you select below will be assigned to your new user.", 
	'accessUserError': "A problem occurred accessing the user data.", 
	'dbUnavailable': "The database service is not available.  Database status:", 
	'unknownError': "An unknown error occurred.", 
	'configureDbFirstHeading': "Configure Database Connection Before Proceeding",
	'configureDbFirstDescription': "The Jazz Team Server is not able to connect to the database.  The server must establish a connection to the database before you can configure the user registry settings.", 
	'disableAdminLabel': "Disable default ADMIN access", 
	'success': "You have successfully configured the User Registry.",
	'assignLicenseHeading': "Assign Client Access Licenses", 
	'seeLog': "See the server log for details.", 
	'loginLdapImport': "You need to be authenticated as a user from LDAP to import your user and assign licenses.", 
	'newUserLookupError': "A problem occurred looking up the new user.", 
	'savingSettings': "Saving settings...", 
	'computeQueryError': "A problem occurred while computing LDAP queries.", 
	'newUserLoginError': "There was an error attempting to login as the new user",
	'newUserCreateError': "There was an error attempting to create the new user:",
	'licenseAssignError': "There was an error assigning licenses the new user:", 
	'disableAdminError': "There was an error disabling ADMIN access:", 
	'removeRolesError': "There was an error removing the roles for ADMIN:", 
	'selectRegistry': "Please select a User Registry type from the list.", 
	'invalidEmail': "Invalid e-mail address", 
	'propertyLabel': "Property",
	'valueLabel': "Value",
	'descriptionLabel': "Description",
	'newUserCreateUnknownError': "There was an unknown error attempting to create the new user.  Please check your server configuration.",  
	'userIdLabel': "User ID", 
	'userIdDescrption': "Your user ID (e.g. 'jsmith')",
	'nameLabel': "Name", 
	'nameDescrption': "Your full name (e.g. 'John Smith')",
	'emailLabel': "E-mail Address", 
	'emailDescrption': "Your e-mail address (e.g. 'jsmith@example.com')",	
	'passwordLabel': "Password", 
	'passwordDescrption': "Enter a password that you can remember but won't be easy for others to guess.",
	'passwordLabel2': "Re-type Password", 
	'passwordDescrption2': "Re-type your password to help prevent typos.",
	'passwordMismatch': "Passwords don't match",
	'typeLabel': "Type", 
	'availabilityLabel': "Status",
	'createUser': "Please complete the form to create a new user and press the 'Next' button.",
	'createAccountLabel': "Create an administrator account", 
	'createAccountDescription': "You are currently logged in as the default user (ADMIN). Please create an administrator account for yourself using the form below. When you press the \"Next\" button, the new user account will be created in the Jazz Team Server.  Your new account will have the JazzAdmins role, which will allow you to login to the Admin UI.",
	'correctFields': "Please correct the fields below.",
	'createUserLabel': "Create a user for yourself in Jazz Team Server",
	'createUserDescription': "Please use the form below to create a user for yourself in Jazz Team Server. Your Jazz user ID should be set to match your login ID.",
	'userExistsLabel': "Your user exists in Jazz Team Server",
	'userExistsDescrpition': "You have successfully created a new user with the JazzAdmins role.",
	'step2Label': "Step 2:",   
	'step3Label': "Step 3:",  
	'step4Label': "Step 4:"
})	



